# Évolutions


## Mode comparaison de cartes

Ajout d'un bouton dans la barre suppérieure permettant de comparer la carte en cours avec une deuxième carte.

![comparaison](images/comparaison.gif)


## Amélioration des fonctionnalités d'accrochage

Pour la saisie des polygones, ajout des boutons "Éviter les superpositions" pour re-calculer automatiquement les géométries en fonction des données des autres objets métiers.

![accrochage](images/accrochage.gif)


## Générateur de liens vMap

Il est désormais possible d'ouvrir vMap èn spécifiant dans l'URL la carte, l'étendue ainsi que le token du compte à utiliser.

Ces liens sont disponibles directement depuis l'interface depuis le bouton "Lien vers la carte en cours".

![generateur de liens](images/generateur-liens.jpg)

Pour configurer l'utilisateur public à utiliser, il suffit de se rendre dans le menu configuration et saisir les champs liés au compte public.

![compte public](images/compte-public.jpg)


## Terminer les saisies par un clic droit

Depuis la version 2018.04.00 il est possible de terminer ses saisies par un double-clic comme précédemment mais aussi par un clic droit.


## Amélioration du formulaire Objet métier

![formulaire objet metier](images/formulaire_bo.jpg)


# Anomalies corrigées

## 2018.04.00

* Impossible de supprimer le JavaScript d'un formulaire.
* Un champ de type image objet métier en mode affichage seulement affiche un bouton si aucune image est disponible sur le serveur.
* Intersections cadastrales remontées pour les parcelles limitrophes entre deux communes lors de la génération des rapports.
* Problèmes lors qu'un utilisateur vmap_admin et non vitis_admin va dans le mode configuration.
* La réinitialisation d'un formulaire de filtre dans le module ANC annule les rechargements en cascade du formulaire.
* Module cadastre : en recherche attributaire la sélection reste en mémoire quand on filtre la liste des parcelles.
* Problème d'affichage des fonctions GetFeatureInfo sur mobile.
* Erreurs lors de l'utilisation de flux WMS avec mot de passe dans l'interface d'administration.
* JavaScript non chargé lors de l'affichage d'un sous-formulaire objet métier.
* Problème de cache dans les listes de type grille objet métier.
* Dysfonctionnements avec les champs de type date quand on saisit la date du jour.
* La génération automatique des formulaires objets métiers ne se fait pas si on utilise une base de données autre que celle de vMap.

## 2018.04.01

* Documentation swagger publictoken non valide
* Mélange des modes affichés pour l'utilisateur public si deux applications sont sur la même base
* Incohérence des properties utilisateur vas_home et database
* Accès à vitis/webservices aux non vitis admin
* Erreur 500 sur vitis/privileges sans droits d'admin
* Erreur 500 suppression utilisateur
* Le paramètre timezone_id de la ressource rest/vitis/users est obligatoire en POST

## 2018.04.02

* Affichage des modèles d'impression par ordre alphabétique
